interactions:
- request:
    body: mail_host=example.com
    headers:
      accept-encoding: ['gzip, deflate']
      !!python/unicode content-type: [!!python/unicode application/x-www-form-urlencoded]
    method: !!python/unicode POST
    uri: http://localhost:9001/3.0/domains
  response:
    body: {string: !!python/unicode ''}
    headers:
      content-length: ['0']
      location: ['http://localhost:9001/3.0/domains/example.com']
    status: {code: 201, message: Created}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode GET
    uri: http://localhost:9001/3.0/domains/example.com
  response:
    body: {string: !!python/unicode '{"base_url": "http://example.com", "description":
        null, "http_etag": "\"e736411818ff1815ca83575e0958c38c5188f0a4\"", "mail_host":
        "example.com", "self_link": "http://localhost:9001/3.0/domains/example.com",
        "url_host": "example.com"}'}
    headers:
      content-length: ['233']
      content-type: [application/json; charset=utf-8]
    status: {code: 200, message: OK}
- request:
    body: fqdn_listname=foo%40example.com
    headers:
      accept-encoding: ['gzip, deflate']
      !!python/unicode content-type: [!!python/unicode application/x-www-form-urlencoded]
    method: !!python/unicode POST
    uri: http://localhost:9001/3.0/lists
  response:
    body: {string: !!python/unicode ''}
    headers:
      content-length: ['0']
      location: ['http://localhost:9001/3.0/lists/foo.example.com']
    status: {code: 201, message: Created}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode GET
    uri: http://localhost:9001/3.0/lists/foo.example.com
  response:
    body: {string: !!python/unicode '{"display_name": "Foo", "fqdn_listname": "foo@example.com",
        "http_etag": "\"698a819bbb6b902096a8c5543cc7fac2328960d5\"", "list_id": "foo.example.com",
        "list_name": "foo", "mail_host": "example.com", "member_count": 0, "self_link":
        "http://localhost:9001/3.0/lists/foo.example.com", "volume": 1}'}
    headers:
      content-length: ['294']
      content-type: [application/json; charset=utf-8]
    status: {code: 200, message: OK}
- request:
    body: list_id=foo.example.com&role=owner&subscriber=owner%40example.com
    headers:
      accept-encoding: ['gzip, deflate']
      !!python/unicode content-type: [!!python/unicode application/x-www-form-urlencoded]
    method: !!python/unicode POST
    uri: http://localhost:9001/3.0/members
  response:
    body: {string: !!python/unicode ''}
    headers:
      content-length: ['0']
      location: ['http://localhost:9001/3.0/members/9']
    status: {code: 201, message: Created}
- request:
    body: list_id=foo.example.com&role=moderator&subscriber=moderator%40example.com
    headers:
      accept-encoding: ['gzip, deflate']
      !!python/unicode content-type: [!!python/unicode application/x-www-form-urlencoded]
    method: !!python/unicode POST
    uri: http://localhost:9001/3.0/members
  response:
    body: {string: !!python/unicode ''}
    headers:
      content-length: ['0']
      location: ['http://localhost:9001/3.0/members/10']
    status: {code: 201, message: Created}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode GET
    uri: http://localhost:9001/3.0/lists/foo@example.com
  response:
    body: {string: !!python/unicode '{"display_name": "Foo", "fqdn_listname": "foo@example.com",
        "http_etag": "\"698a819bbb6b902096a8c5543cc7fac2328960d5\"", "list_id": "foo.example.com",
        "list_name": "foo", "mail_host": "example.com", "member_count": 0, "self_link":
        "http://localhost:9001/3.0/lists/foo.example.com", "volume": 1}'}
    headers:
      content-length: ['294']
      content-type: [application/json; charset=utf-8]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode GET
    uri: http://localhost:9001/3.0/users/moderator@example.com
  response:
    body: {string: !!python/unicode '{"created_on": "2005-08-01T07:49:23", "http_etag":
        "\"c7360c029a83c97672ca38dd8b008d48e05949a6\"", "is_server_owner": false,
        "self_link": "http://localhost:9001/3.0/users/7", "user_id": 7}'}
    headers:
      content-length: ['188']
      content-type: [application/json; charset=utf-8]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode GET
    uri: http://localhost:9001/3.0/users/7/addresses
  response:
    body: {string: !!python/unicode '{"entries": [{"email": "moderator@example.com",
        "http_etag": "\"dc9e6ab7f685df3bdee82a1b48abcc345c24c317\"", "original_email":
        "moderator@example.com", "registered_on": "2005-08-01T07:49:23", "self_link":
        "http://localhost:9001/3.0/addresses/moderator@example.com", "user": "http://localhost:9001/3.0/users/7"}],
        "http_etag": "\"61e6b2b734fab9e85bac3022e2728ddca6d73b95\"", "start": 0, "total_size":
        1}'}
    headers:
      content-length: ['402']
      content-type: [application/json; charset=utf-8]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode GET
    uri: http://localhost:9001/3.0/lists/foo.example.com/roster/owner
  response:
    body: {string: !!python/unicode '{"entries": [{"address": "http://localhost:9001/3.0/addresses/owner@example.com",
        "delivery_mode": "regular", "email": "owner@example.com", "http_etag": "\"a39602ccc7999f8d0e588f5deead3ae39a2c6a9a\"",
        "list_id": "foo.example.com", "member_id": 9, "moderation_action": "accept",
        "role": "owner", "self_link": "http://localhost:9001/3.0/members/9", "user":
        "http://localhost:9001/3.0/users/6"}], "http_etag": "\"4abb1c1dc54f2e15366121f2f2c80172e18e412a\"",
        "start": 0, "total_size": 1}'}
    headers:
      content-length: ['483']
      content-type: [application/json; charset=utf-8]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode GET
    uri: http://localhost:9001/3.0/lists/foo.example.com/roster/moderator
  response:
    body: {string: !!python/unicode '{"entries": [{"address": "http://localhost:9001/3.0/addresses/moderator@example.com",
        "delivery_mode": "regular", "email": "moderator@example.com", "http_etag":
        "\"ad9a2301083130d9e1fa967beaafb9e6858ee391\"", "list_id": "foo.example.com",
        "member_id": 10, "moderation_action": "accept", "role": "moderator", "self_link":
        "http://localhost:9001/3.0/members/10", "user": "http://localhost:9001/3.0/users/7"}],
        "http_etag": "\"6b40b5e14baafb5306f9fa023bd6b9325e2055de\"", "start": 0, "total_size":
        1}'}
    headers:
      content-length: ['497']
      content-type: [application/json; charset=utf-8]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode DELETE
    uri: http://localhost:9001/3.0/lists/foo@example.com
  response:
    body: {string: !!python/unicode ''}
    headers:
      content-length: ['0']
    status: {code: 204, message: No Content}
- request:
    body: null
    headers:
      accept-encoding: ['gzip, deflate']
    method: !!python/unicode DELETE
    uri: http://localhost:9001/3.0/domains/example.com
  response:
    body: {string: !!python/unicode ''}
    headers:
      content-length: ['0']
    status: {code: 204, message: No Content}
version: 1
